# Class ParagraphProperties

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - ParagraphProperties

- Defined in src/file/paragraph/properties.ts:69

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml
push

## Constructors

### constructor

- new ParagraphProperties(options?): ParagraphProperties

- #### Parameters

  - ##### `Optional` options: IParagraphPropertiesOptions

  #### Returns ParagraphProperties

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in src/file/paragraph/properties.ts:73

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in src/file/paragraph/properties.ts:203

### push

- push(item): void

- #### Parameters

  - ##### item: XmlComponent

  #### Returns void

  - Defined in src/file/paragraph/properties.ts:199

Generated using TypeDoc